Bug 1665204 (CVE-2018-13457) - CVE-2018-13457 nagios: NULL pointer dereference in qh_echo in base/query-handler.c
Summary: CVE-2018-13457 nagios: NULL pointer dereference in qh_echo in base/query-hand...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-13457
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1665206 1665207
Blocks: 1665202
TreeView+ depends on / blocked
 
Reported: 2019-01-10 16:59 UTC by Laura Pardo
Modified: 2019-09-29 15:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 07:18:32 UTC


Attachments (Terms of Use)

Description Laura Pardo 2019-01-10 16:59:04 UTC
A flaw was found in Nagios Core version 4.4.1 and earlier. The qh_echo function is prone to a NULL pointer dereference vulnerability, which allows attacker to cause a local denial-of-service condition by sending a crafted payload to the listening UNIX socket.


References:
https://github.com/NagiosEnterprises/nagioscore/commit/b1a92a3b52d292ccb601e77a0b29cb1e67ac9d76

Comment 1 Laura Pardo 2019-01-10 16:59:32 UTC
Created nagios tracking bugs for this issue:

Affects: epel-all [bug 1665207]
Affects: fedora-all [bug 1665206]

Comment 3 Jason Shepherd 2019-08-08 05:48:58 UTC
This vulnerability is out of security support scope for the following product:

 * Red Hat Mobile Application Platform

 Please refer to https://access.redhat.com/support/policy/updates/rhmap for more details

Comment 4 Product Security DevOps Team 2019-08-08 07:18:32 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-13457


Note You need to log in before you can comment on or make changes to this bug.